/// <reference path="../.astro/types.d.ts" />
/// <reference types="astro/client" />
/// <reference path="./libs/ResponseBuilder" />

interface ImportMetaEnv {
	PRUSASLICER_PATH?: string
	BAMBUSTUDIO_PATH?: string
	MONGODB?: string
	PRIVATE_KEY?: string
	PUBLIC_KEY?: string
}

interface ImportMeta {
	readonly env: ImportMetaEnv;
}


declare namespace App {
	interface Locals {
		/**
		 * authentification key is the api key or the session token
		 */
		authKey?: string
		responseBuilder: ResponseBuilder
	}
}
